Package org.apache.tapestry5.versionmigrator

# Class ClassRefactor

java.lang.Object
org.apache.tapestry5.versionmigrator.ClassRefactor

public final class ClassRefactor extends Object
Class that represents information about one class being renamed and/or moved between artifacts (JARs) and/or packages.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ClassRefactor(String newClassName, String oldClassName, String sourceArtifact, String destinationArtifact)`
  Constructor for classes being moved from one artifact to another and possibly being renamed or moved between packages.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDestinationArtifact()`
  Returns the artifact where the class is now located.
  `String`
  `getNewClassName()`
  Returns the new fully-qualified class name.
  `String`
  `getNewPackageName()`
  Returns the new package location.
  `String`
  `getOldClassName()`
  Returns the old fully-qualified class name.
  `String`
  `getSimpleOldClassName()`
  Returns the simple old class name.
  `String`
  `getSourceArtifact()`
  Returns the artifact where the class was located.
  `boolean`
  `isInternal()`
  Returns whether the class is internal or not.
  `boolean`
  `isMovedBetweenArtifacts()`
  Returns whether the class was moved between artifacts.
  `boolean`
  `isRenamed()`
  Returns whether the class had its fully qualified class name changed.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ClassRefactor

    public ClassRefactor(String newClassName, String oldClassName, String sourceArtifact, String destinationArtifact)
    Constructor for classes being moved from one artifact to another and possibly being renamed or moved between packages.

- ## Method Details

  - ### getNewClassName

    public String getNewClassName()
    Returns the new fully-qualified class name.

  - ### getOldClassName

    public String getOldClassName()
    Returns the old fully-qualified class name.

  - ### getSourceArtifact

    public String getSourceArtifact()
    Returns the artifact where the class was located.

  - ### getDestinationArtifact

    public String getDestinationArtifact()
    Returns the artifact where the class is now located.

  - ### isMovedBetweenArtifacts

    public boolean isMovedBetweenArtifacts()
    Returns whether the class was moved between artifacts.

  - ### isRenamed

    public boolean isRenamed()
    Returns whether the class had its fully qualified class name changed. This includes package changes.

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getSimpleOldClassName

    public String getSimpleOldClassName()
    Returns the simple old class name.

  - ### isInternal

    public boolean isInternal()
    Returns whether the class is internal or not.

  - ### getNewPackageName

    public String getNewPackageName()
    Returns the new package location.